> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/webhooks/eventos.md).

# Eventos

Entenda os eventos recebidos via webhooks

### Lista de eventos

A ZapSign envia os seguintes eventos por webhook:

* **`doc_created`**\
  Este evento é enviado quando um documento é criado.
* **`created_signer`**\
  Este evento é enviado quando um novo signatário é adicionado a um documento em andamento.
* **`doc_deleted`**\
  Notifica quando um documento foi excluído, seja pela plataforma ou via API.
* **`doc_signed`**\
  Acionado quando um signatário assina o documento. O webhook especifica qual signatário assinou o documento.
* **`doc_refused`**\
  Indica que um documento foi recusado pelo signatário.
* **`email_bounce`**\
  Notifica sobre falhas na entrega de e-mails.
* **`signature_notification_sent`**\
  Notifica quando o documento é enviado ao signatário por e-mail ou WhatsApp (parâmetro `send_automatic_email` ou `send_automatic_whatsapp`).
* **`doc_viewed`**\
  Notifica quando o signatário visualizou o documento (abriu o link de assinatura).
* **`doc_read_confirmation`**\
  Notifica quando o signatário confirma a leitura do documento (botão "Continuar" após visualizar o documento).
* **`signer_authentication_failed`**\
  Notifica quando o signatário excedeu o número máximo de tentativas para validar sua identidade através dos métodos Reconhecimento Facial e Validação de Identidade.
* **`doc_expired`**\
  Este evento é enviado quando um documento com data limite para assinatura é expirado.
* **`doc_expiration_alert`**\
  Este evento é enviado quando um documento com data limite para assinatura esta prestes á expirar. O evento será disparado 7 - 3 - 1 dia antes da expiração ser efetivada.&#x20;

Você poderá diferenciar um do outro pelo atributo "event\_type" que seguirá junto de todo webhook.&#x20;

```
"event_type": "doc_created"
```

Veja o body de cada evento nos próximos capítulos!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zapsign.com.br/webhooks/eventos.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
